Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network34.128.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
34.128.0.0
Broadcast address
34.191.255.255
First usable
34.128.0.1
Last usable
34.191.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 22800000 · Integer 578813952 to 583008255
Reverse DNS zones
128.34.in-addr.arpa
129.34.in-addr.arpa
130.34.in-addr.arpa
131.34.in-addr.arpa
132.34.in-addr.arpa
133.34.in-addr.arpa
134.34.in-addr.arpa
135.34.in-addr.arpa
136.34.in-addr.arpa
137.34.in-addr.arpa
138.34.in-addr.arpa
139.34.in-addr.arpa
140.34.in-addr.arpa
141.34.in-addr.arpa
142.34.in-addr.arpa
143.34.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100010.10000000.00000000.0000000034.128.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00100010.10000000.00000000.0000000034.128.0.0
Broadcast00100010.10111111.11111111.1111111134.191.255.255
Split into smaller subnets/21

34.128.0.0/10 makes 2,048 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
134.128.0.0/2134.128.0.1 to 34.128.7.25434.128.7.2552,046
234.128.8.0/2134.128.8.1 to 34.128.15.25434.128.15.2552,046
334.128.16.0/2134.128.16.1 to 34.128.23.25434.128.23.2552,046
434.128.24.0/2134.128.24.1 to 34.128.31.25434.128.31.2552,046
534.128.32.0/2134.128.32.1 to 34.128.39.25434.128.39.2552,046
634.128.40.0/2134.128.40.1 to 34.128.47.25434.128.47.2552,046
734.128.48.0/2134.128.48.1 to 34.128.55.25434.128.55.2552,046
834.128.56.0/2134.128.56.1 to 34.128.63.25434.128.63.2552,046
934.128.64.0/2134.128.64.1 to 34.128.71.25434.128.71.2552,046
1034.128.72.0/2134.128.72.1 to 34.128.79.25434.128.79.2552,046
1134.128.80.0/2134.128.80.1 to 34.128.87.25434.128.87.2552,046
1234.128.88.0/2134.128.88.1 to 34.128.95.25434.128.95.2552,046
1334.128.96.0/2134.128.96.1 to 34.128.103.25434.128.103.2552,046
1434.128.104.0/2134.128.104.1 to 34.128.111.25434.128.111.2552,046
1534.128.112.0/2134.128.112.1 to 34.128.119.25434.128.119.2552,046
1634.128.120.0/2134.128.120.1 to 34.128.127.25434.128.127.2552,046
1734.128.128.0/2134.128.128.1 to 34.128.135.25434.128.135.2552,046
1834.128.136.0/2134.128.136.1 to 34.128.143.25434.128.143.2552,046
1934.128.144.0/2134.128.144.1 to 34.128.151.25434.128.151.2552,046
2034.128.152.0/2134.128.152.1 to 34.128.159.25434.128.159.2552,046
2134.128.160.0/2134.128.160.1 to 34.128.167.25434.128.167.2552,046
2234.128.168.0/2134.128.168.1 to 34.128.175.25434.128.175.2552,046
2334.128.176.0/2134.128.176.1 to 34.128.183.25434.128.183.2552,046
2434.128.184.0/2134.128.184.1 to 34.128.191.25434.128.191.2552,046
2534.128.192.0/2134.128.192.1 to 34.128.199.25434.128.199.2552,046
2634.128.200.0/2134.128.200.1 to 34.128.207.25434.128.207.2552,046
2734.128.208.0/2134.128.208.1 to 34.128.215.25434.128.215.2552,046
2834.128.216.0/2134.128.216.1 to 34.128.223.25434.128.223.2552,046
2934.128.224.0/2134.128.224.1 to 34.128.231.25434.128.231.2552,046
3034.128.232.0/2134.128.232.1 to 34.128.239.25434.128.239.2552,046
3134.128.240.0/2134.128.240.1 to 34.128.247.25434.128.247.2552,046
3234.128.248.0/2134.128.248.1 to 34.128.255.25434.128.255.2552,046
3334.129.0.0/2134.129.0.1 to 34.129.7.25434.129.7.2552,046
3434.129.8.0/2134.129.8.1 to 34.129.15.25434.129.15.2552,046
3534.129.16.0/2134.129.16.1 to 34.129.23.25434.129.23.2552,046
3634.129.24.0/2134.129.24.1 to 34.129.31.25434.129.31.2552,046
3734.129.32.0/2134.129.32.1 to 34.129.39.25434.129.39.2552,046
3834.129.40.0/2134.129.40.1 to 34.129.47.25434.129.47.2552,046
3934.129.48.0/2134.129.48.1 to 34.129.55.25434.129.55.2552,046
4034.129.56.0/2134.129.56.1 to 34.129.63.25434.129.63.2552,046
4134.129.64.0/2134.129.64.1 to 34.129.71.25434.129.71.2552,046
4234.129.72.0/2134.129.72.1 to 34.129.79.25434.129.79.2552,046
4334.129.80.0/2134.129.80.1 to 34.129.87.25434.129.87.2552,046
4434.129.88.0/2134.129.88.1 to 34.129.95.25434.129.95.2552,046
4534.129.96.0/2134.129.96.1 to 34.129.103.25434.129.103.2552,046
4634.129.104.0/2134.129.104.1 to 34.129.111.25434.129.111.2552,046
4734.129.112.0/2134.129.112.1 to 34.129.119.25434.129.119.2552,046
4834.129.120.0/2134.129.120.1 to 34.129.127.25434.129.127.2552,046
4934.129.128.0/2134.129.128.1 to 34.129.135.25434.129.135.2552,046
5034.129.136.0/2134.129.136.1 to 34.129.143.25434.129.143.2552,046
5134.129.144.0/2134.129.144.1 to 34.129.151.25434.129.151.2552,046
5234.129.152.0/2134.129.152.1 to 34.129.159.25434.129.159.2552,046
5334.129.160.0/2134.129.160.1 to 34.129.167.25434.129.167.2552,046
5434.129.168.0/2134.129.168.1 to 34.129.175.25434.129.175.2552,046
5534.129.176.0/2134.129.176.1 to 34.129.183.25434.129.183.2552,046
5634.129.184.0/2134.129.184.1 to 34.129.191.25434.129.191.2552,046
5734.129.192.0/2134.129.192.1 to 34.129.199.25434.129.199.2552,046
5834.129.200.0/2134.129.200.1 to 34.129.207.25434.129.207.2552,046
5934.129.208.0/2134.129.208.1 to 34.129.215.25434.129.215.2552,046
6034.129.216.0/2134.129.216.1 to 34.129.223.25434.129.223.2552,046
6134.129.224.0/2134.129.224.1 to 34.129.231.25434.129.231.2552,046
6234.129.232.0/2134.129.232.1 to 34.129.239.25434.129.239.2552,046
6334.129.240.0/2134.129.240.1 to 34.129.247.25434.129.247.2552,046
6434.129.248.0/2134.129.248.1 to 34.129.255.25434.129.255.2552,046
6534.130.0.0/2134.130.0.1 to 34.130.7.25434.130.7.2552,046
6634.130.8.0/2134.130.8.1 to 34.130.15.25434.130.15.2552,046
6734.130.16.0/2134.130.16.1 to 34.130.23.25434.130.23.2552,046
6834.130.24.0/2134.130.24.1 to 34.130.31.25434.130.31.2552,046
6934.130.32.0/2134.130.32.1 to 34.130.39.25434.130.39.2552,046
7034.130.40.0/2134.130.40.1 to 34.130.47.25434.130.47.2552,046
7134.130.48.0/2134.130.48.1 to 34.130.55.25434.130.55.2552,046
7234.130.56.0/2134.130.56.1 to 34.130.63.25434.130.63.2552,046
7334.130.64.0/2134.130.64.1 to 34.130.71.25434.130.71.2552,046
7434.130.72.0/2134.130.72.1 to 34.130.79.25434.130.79.2552,046
7534.130.80.0/2134.130.80.1 to 34.130.87.25434.130.87.2552,046
7634.130.88.0/2134.130.88.1 to 34.130.95.25434.130.95.2552,046
7734.130.96.0/2134.130.96.1 to 34.130.103.25434.130.103.2552,046
7834.130.104.0/2134.130.104.1 to 34.130.111.25434.130.111.2552,046
7934.130.112.0/2134.130.112.1 to 34.130.119.25434.130.119.2552,046
8034.130.120.0/2134.130.120.1 to 34.130.127.25434.130.127.2552,046
8134.130.128.0/2134.130.128.1 to 34.130.135.25434.130.135.2552,046
8234.130.136.0/2134.130.136.1 to 34.130.143.25434.130.143.2552,046
8334.130.144.0/2134.130.144.1 to 34.130.151.25434.130.151.2552,046
8434.130.152.0/2134.130.152.1 to 34.130.159.25434.130.159.2552,046
8534.130.160.0/2134.130.160.1 to 34.130.167.25434.130.167.2552,046
8634.130.168.0/2134.130.168.1 to 34.130.175.25434.130.175.2552,046
8734.130.176.0/2134.130.176.1 to 34.130.183.25434.130.183.2552,046
8834.130.184.0/2134.130.184.1 to 34.130.191.25434.130.191.2552,046
8934.130.192.0/2134.130.192.1 to 34.130.199.25434.130.199.2552,046
9034.130.200.0/2134.130.200.1 to 34.130.207.25434.130.207.2552,046
9134.130.208.0/2134.130.208.1 to 34.130.215.25434.130.215.2552,046
9234.130.216.0/2134.130.216.1 to 34.130.223.25434.130.223.2552,046
9334.130.224.0/2134.130.224.1 to 34.130.231.25434.130.231.2552,046
9434.130.232.0/2134.130.232.1 to 34.130.239.25434.130.239.2552,046
9534.130.240.0/2134.130.240.1 to 34.130.247.25434.130.247.2552,046
9634.130.248.0/2134.130.248.1 to 34.130.255.25434.130.255.2552,046
9734.131.0.0/2134.131.0.1 to 34.131.7.25434.131.7.2552,046
9834.131.8.0/2134.131.8.1 to 34.131.15.25434.131.15.2552,046
9934.131.16.0/2134.131.16.1 to 34.131.23.25434.131.23.2552,046
10034.131.24.0/2134.131.24.1 to 34.131.31.25434.131.31.2552,046
10134.131.32.0/2134.131.32.1 to 34.131.39.25434.131.39.2552,046
10234.131.40.0/2134.131.40.1 to 34.131.47.25434.131.47.2552,046
10334.131.48.0/2134.131.48.1 to 34.131.55.25434.131.55.2552,046
10434.131.56.0/2134.131.56.1 to 34.131.63.25434.131.63.2552,046
10534.131.64.0/2134.131.64.1 to 34.131.71.25434.131.71.2552,046
10634.131.72.0/2134.131.72.1 to 34.131.79.25434.131.79.2552,046
10734.131.80.0/2134.131.80.1 to 34.131.87.25434.131.87.2552,046
10834.131.88.0/2134.131.88.1 to 34.131.95.25434.131.95.2552,046
10934.131.96.0/2134.131.96.1 to 34.131.103.25434.131.103.2552,046
11034.131.104.0/2134.131.104.1 to 34.131.111.25434.131.111.2552,046
11134.131.112.0/2134.131.112.1 to 34.131.119.25434.131.119.2552,046
11234.131.120.0/2134.131.120.1 to 34.131.127.25434.131.127.2552,046
11334.131.128.0/2134.131.128.1 to 34.131.135.25434.131.135.2552,046
11434.131.136.0/2134.131.136.1 to 34.131.143.25434.131.143.2552,046
11534.131.144.0/2134.131.144.1 to 34.131.151.25434.131.151.2552,046
11634.131.152.0/2134.131.152.1 to 34.131.159.25434.131.159.2552,046
11734.131.160.0/2134.131.160.1 to 34.131.167.25434.131.167.2552,046
11834.131.168.0/2134.131.168.1 to 34.131.175.25434.131.175.2552,046
11934.131.176.0/2134.131.176.1 to 34.131.183.25434.131.183.2552,046
12034.131.184.0/2134.131.184.1 to 34.131.191.25434.131.191.2552,046
12134.131.192.0/2134.131.192.1 to 34.131.199.25434.131.199.2552,046
12234.131.200.0/2134.131.200.1 to 34.131.207.25434.131.207.2552,046
12334.131.208.0/2134.131.208.1 to 34.131.215.25434.131.215.2552,046
12434.131.216.0/2134.131.216.1 to 34.131.223.25434.131.223.2552,046
12534.131.224.0/2134.131.224.1 to 34.131.231.25434.131.231.2552,046
12634.131.232.0/2134.131.232.1 to 34.131.239.25434.131.239.2552,046
12734.131.240.0/2134.131.240.1 to 34.131.247.25434.131.247.2552,046
12834.131.248.0/2134.131.248.1 to 34.131.255.25434.131.255.2552,046
12934.132.0.0/2134.132.0.1 to 34.132.7.25434.132.7.2552,046
13034.132.8.0/2134.132.8.1 to 34.132.15.25434.132.15.2552,046
13134.132.16.0/2134.132.16.1 to 34.132.23.25434.132.23.2552,046
13234.132.24.0/2134.132.24.1 to 34.132.31.25434.132.31.2552,046
13334.132.32.0/2134.132.32.1 to 34.132.39.25434.132.39.2552,046
13434.132.40.0/2134.132.40.1 to 34.132.47.25434.132.47.2552,046
13534.132.48.0/2134.132.48.1 to 34.132.55.25434.132.55.2552,046
13634.132.56.0/2134.132.56.1 to 34.132.63.25434.132.63.2552,046
13734.132.64.0/2134.132.64.1 to 34.132.71.25434.132.71.2552,046
13834.132.72.0/2134.132.72.1 to 34.132.79.25434.132.79.2552,046
13934.132.80.0/2134.132.80.1 to 34.132.87.25434.132.87.2552,046
14034.132.88.0/2134.132.88.1 to 34.132.95.25434.132.95.2552,046
14134.132.96.0/2134.132.96.1 to 34.132.103.25434.132.103.2552,046
14234.132.104.0/2134.132.104.1 to 34.132.111.25434.132.111.2552,046
14334.132.112.0/2134.132.112.1 to 34.132.119.25434.132.119.2552,046
14434.132.120.0/2134.132.120.1 to 34.132.127.25434.132.127.2552,046
14534.132.128.0/2134.132.128.1 to 34.132.135.25434.132.135.2552,046
14634.132.136.0/2134.132.136.1 to 34.132.143.25434.132.143.2552,046
14734.132.144.0/2134.132.144.1 to 34.132.151.25434.132.151.2552,046
14834.132.152.0/2134.132.152.1 to 34.132.159.25434.132.159.2552,046
14934.132.160.0/2134.132.160.1 to 34.132.167.25434.132.167.2552,046
15034.132.168.0/2134.132.168.1 to 34.132.175.25434.132.175.2552,046
15134.132.176.0/2134.132.176.1 to 34.132.183.25434.132.183.2552,046
15234.132.184.0/2134.132.184.1 to 34.132.191.25434.132.191.2552,046
15334.132.192.0/2134.132.192.1 to 34.132.199.25434.132.199.2552,046
15434.132.200.0/2134.132.200.1 to 34.132.207.25434.132.207.2552,046
15534.132.208.0/2134.132.208.1 to 34.132.215.25434.132.215.2552,046
15634.132.216.0/2134.132.216.1 to 34.132.223.25434.132.223.2552,046
15734.132.224.0/2134.132.224.1 to 34.132.231.25434.132.231.2552,046
15834.132.232.0/2134.132.232.1 to 34.132.239.25434.132.239.2552,046
15934.132.240.0/2134.132.240.1 to 34.132.247.25434.132.247.2552,046
16034.132.248.0/2134.132.248.1 to 34.132.255.25434.132.255.2552,046
16134.133.0.0/2134.133.0.1 to 34.133.7.25434.133.7.2552,046
16234.133.8.0/2134.133.8.1 to 34.133.15.25434.133.15.2552,046
16334.133.16.0/2134.133.16.1 to 34.133.23.25434.133.23.2552,046
16434.133.24.0/2134.133.24.1 to 34.133.31.25434.133.31.2552,046
16534.133.32.0/2134.133.32.1 to 34.133.39.25434.133.39.2552,046
16634.133.40.0/2134.133.40.1 to 34.133.47.25434.133.47.2552,046
16734.133.48.0/2134.133.48.1 to 34.133.55.25434.133.55.2552,046
16834.133.56.0/2134.133.56.1 to 34.133.63.25434.133.63.2552,046
16934.133.64.0/2134.133.64.1 to 34.133.71.25434.133.71.2552,046
17034.133.72.0/2134.133.72.1 to 34.133.79.25434.133.79.2552,046
17134.133.80.0/2134.133.80.1 to 34.133.87.25434.133.87.2552,046
17234.133.88.0/2134.133.88.1 to 34.133.95.25434.133.95.2552,046
17334.133.96.0/2134.133.96.1 to 34.133.103.25434.133.103.2552,046
17434.133.104.0/2134.133.104.1 to 34.133.111.25434.133.111.2552,046
17534.133.112.0/2134.133.112.1 to 34.133.119.25434.133.119.2552,046
17634.133.120.0/2134.133.120.1 to 34.133.127.25434.133.127.2552,046
17734.133.128.0/2134.133.128.1 to 34.133.135.25434.133.135.2552,046
17834.133.136.0/2134.133.136.1 to 34.133.143.25434.133.143.2552,046
17934.133.144.0/2134.133.144.1 to 34.133.151.25434.133.151.2552,046
18034.133.152.0/2134.133.152.1 to 34.133.159.25434.133.159.2552,046
18134.133.160.0/2134.133.160.1 to 34.133.167.25434.133.167.2552,046
18234.133.168.0/2134.133.168.1 to 34.133.175.25434.133.175.2552,046
18334.133.176.0/2134.133.176.1 to 34.133.183.25434.133.183.2552,046
18434.133.184.0/2134.133.184.1 to 34.133.191.25434.133.191.2552,046
18534.133.192.0/2134.133.192.1 to 34.133.199.25434.133.199.2552,046
18634.133.200.0/2134.133.200.1 to 34.133.207.25434.133.207.2552,046
18734.133.208.0/2134.133.208.1 to 34.133.215.25434.133.215.2552,046
18834.133.216.0/2134.133.216.1 to 34.133.223.25434.133.223.2552,046
18934.133.224.0/2134.133.224.1 to 34.133.231.25434.133.231.2552,046
19034.133.232.0/2134.133.232.1 to 34.133.239.25434.133.239.2552,046
19134.133.240.0/2134.133.240.1 to 34.133.247.25434.133.247.2552,046
19234.133.248.0/2134.133.248.1 to 34.133.255.25434.133.255.2552,046
19334.134.0.0/2134.134.0.1 to 34.134.7.25434.134.7.2552,046
19434.134.8.0/2134.134.8.1 to 34.134.15.25434.134.15.2552,046
19534.134.16.0/2134.134.16.1 to 34.134.23.25434.134.23.2552,046
19634.134.24.0/2134.134.24.1 to 34.134.31.25434.134.31.2552,046
19734.134.32.0/2134.134.32.1 to 34.134.39.25434.134.39.2552,046
19834.134.40.0/2134.134.40.1 to 34.134.47.25434.134.47.2552,046
19934.134.48.0/2134.134.48.1 to 34.134.55.25434.134.55.2552,046
20034.134.56.0/2134.134.56.1 to 34.134.63.25434.134.63.2552,046
20134.134.64.0/2134.134.64.1 to 34.134.71.25434.134.71.2552,046
20234.134.72.0/2134.134.72.1 to 34.134.79.25434.134.79.2552,046
20334.134.80.0/2134.134.80.1 to 34.134.87.25434.134.87.2552,046
20434.134.88.0/2134.134.88.1 to 34.134.95.25434.134.95.2552,046
20534.134.96.0/2134.134.96.1 to 34.134.103.25434.134.103.2552,046
20634.134.104.0/2134.134.104.1 to 34.134.111.25434.134.111.2552,046
20734.134.112.0/2134.134.112.1 to 34.134.119.25434.134.119.2552,046
20834.134.120.0/2134.134.120.1 to 34.134.127.25434.134.127.2552,046
20934.134.128.0/2134.134.128.1 to 34.134.135.25434.134.135.2552,046
21034.134.136.0/2134.134.136.1 to 34.134.143.25434.134.143.2552,046
21134.134.144.0/2134.134.144.1 to 34.134.151.25434.134.151.2552,046
21234.134.152.0/2134.134.152.1 to 34.134.159.25434.134.159.2552,046
21334.134.160.0/2134.134.160.1 to 34.134.167.25434.134.167.2552,046
21434.134.168.0/2134.134.168.1 to 34.134.175.25434.134.175.2552,046
21534.134.176.0/2134.134.176.1 to 34.134.183.25434.134.183.2552,046
21634.134.184.0/2134.134.184.1 to 34.134.191.25434.134.191.2552,046
21734.134.192.0/2134.134.192.1 to 34.134.199.25434.134.199.2552,046
21834.134.200.0/2134.134.200.1 to 34.134.207.25434.134.207.2552,046
21934.134.208.0/2134.134.208.1 to 34.134.215.25434.134.215.2552,046
22034.134.216.0/2134.134.216.1 to 34.134.223.25434.134.223.2552,046
22134.134.224.0/2134.134.224.1 to 34.134.231.25434.134.231.2552,046
22234.134.232.0/2134.134.232.1 to 34.134.239.25434.134.239.2552,046
22334.134.240.0/2134.134.240.1 to 34.134.247.25434.134.247.2552,046
22434.134.248.0/2134.134.248.1 to 34.134.255.25434.134.255.2552,046
22534.135.0.0/2134.135.0.1 to 34.135.7.25434.135.7.2552,046
22634.135.8.0/2134.135.8.1 to 34.135.15.25434.135.15.2552,046
22734.135.16.0/2134.135.16.1 to 34.135.23.25434.135.23.2552,046
22834.135.24.0/2134.135.24.1 to 34.135.31.25434.135.31.2552,046
22934.135.32.0/2134.135.32.1 to 34.135.39.25434.135.39.2552,046
23034.135.40.0/2134.135.40.1 to 34.135.47.25434.135.47.2552,046
23134.135.48.0/2134.135.48.1 to 34.135.55.25434.135.55.2552,046
23234.135.56.0/2134.135.56.1 to 34.135.63.25434.135.63.2552,046
23334.135.64.0/2134.135.64.1 to 34.135.71.25434.135.71.2552,046
23434.135.72.0/2134.135.72.1 to 34.135.79.25434.135.79.2552,046
23534.135.80.0/2134.135.80.1 to 34.135.87.25434.135.87.2552,046
23634.135.88.0/2134.135.88.1 to 34.135.95.25434.135.95.2552,046
23734.135.96.0/2134.135.96.1 to 34.135.103.25434.135.103.2552,046
23834.135.104.0/2134.135.104.1 to 34.135.111.25434.135.111.2552,046
23934.135.112.0/2134.135.112.1 to 34.135.119.25434.135.119.2552,046
24034.135.120.0/2134.135.120.1 to 34.135.127.25434.135.127.2552,046
24134.135.128.0/2134.135.128.1 to 34.135.135.25434.135.135.2552,046
24234.135.136.0/2134.135.136.1 to 34.135.143.25434.135.143.2552,046
24334.135.144.0/2134.135.144.1 to 34.135.151.25434.135.151.2552,046
24434.135.152.0/2134.135.152.1 to 34.135.159.25434.135.159.2552,046
24534.135.160.0/2134.135.160.1 to 34.135.167.25434.135.167.2552,046
24634.135.168.0/2134.135.168.1 to 34.135.175.25434.135.175.2552,046
24734.135.176.0/2134.135.176.1 to 34.135.183.25434.135.183.2552,046
24834.135.184.0/2134.135.184.1 to 34.135.191.25434.135.191.2552,046
24934.135.192.0/2134.135.192.1 to 34.135.199.25434.135.199.2552,046
25034.135.200.0/2134.135.200.1 to 34.135.207.25434.135.207.2552,046
25134.135.208.0/2134.135.208.1 to 34.135.215.25434.135.215.2552,046
25234.135.216.0/2134.135.216.1 to 34.135.223.25434.135.223.2552,046
25334.135.224.0/2134.135.224.1 to 34.135.231.25434.135.231.2552,046
25434.135.232.0/2134.135.232.1 to 34.135.239.25434.135.239.2552,046
25534.135.240.0/2134.135.240.1 to 34.135.247.25434.135.247.2552,046
25634.135.248.0/2134.135.248.1 to 34.135.255.25434.135.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses